$LastChangedDate: 27-Juil-2011 $

# CL_rot_quat2axAng

Quaternion to rotation axis and angle

## Calling Sequence

       [u,alpha] = CL_rot_quat2axAng(q)

## Description

- Converts a quaternion into rotation axis and angle.

- Notes:

  - The rotation axis returned may be undefined (%nan).

  - See Conventions or CL_rot_defQuat for more details on quaternions.

## Parameters

u :

  Rotation axis [ux;uy;uz] (3xN)

q :

  Quaternion (dim N)

alpha :

  Rotation angle [rad] (1xN)

## Authors

- CNES - DCT/SB

## See also

- CL_rot_defQuat

- CL_rot_quat2axAng

## Examples

    phi = CL_deg2rad(33);
    theta = CL_deg2rad(12);
    psi = CL_deg2rad(133);
    q = CL_rot_eul2quat(phi,theta,psi);

    [u, alpha] = CL_rot_quat2axAng(q)